%
% anyremote configuration file.
%

% STATUS stable
% XTEST no
% SOUND no
% ENV no

GuiAppName=Autolock
GuiAppType=Example
GuiAppBinary=true
GuiAppIcon=encrypted.png
GuiAppProtocols=AT
GuiAppDesc=Locks display if connection to the phone is lost.

[Protocol]=AT

Cancel=\
    Make(exit);

(Init)=\
    Include($(CfgDir)/Utils/aliases-at.cfg);\
	Make(var,TwoWayComm,by_value,false);\
	Make(var,AutoConnect,by_value,true);\
	Macro(CHECK_RFCOMM_DEVICE);\
	Exec($(CfgDir)/Utils/message.sh "Display will be locked if connection is lost")

% Auto-lock example:
(Connect)=\
    Exec(killall kdesktop_lock);

(Disconnect)=\
    Exec(kdesktop_lock --forcelock)

[End]

